const path = require('path')
const units_file = path.resolve(_flitter.root, 'Units.flitter.js')

exports.up = async (ctx) => {
    const flap = ctx.flap

    if ( !(await flap.exists(units_file)) ){
        console.log('ERROR: Could not find Flitter Units file. Skipping.')
        return
    }

    await flap.delete_line(units_file, "libflitter\\/database\\/DatabaseUnit'\\)\\)\\(\\),")
    await flap.insert_line(units_file, "libflitter\\/utility\\/UtilityUnit'\\)\\)\\(\\),",
`    'Database'      : new (require('libflitter/database/DatabaseUnit'))(),`)
}

exports.down = async (ctx) => {
    const flap = ctx.flap

    if ( !(await flap.exists(units_file)) ){
        console.log('ERROR: Could not find Flitter Units file. Skipping.')
        return
    }

    await flap.delete_line(units_file, "libflitter\\/database\\/DatabaseUnit'\\)\\)\\(\\),")
    await flap.insert_line(units_file, "libflitter\\/views\\/ViewEngineUnit'\\)\\)\\(\\),",
        `    'Database'      : new (require('libflitter/database/DatabaseUnit'))(),`)
}
