const path = require('path')

exports.up = async (ctx) => {
    if ( await ctx.flap.exists(path.resolve(_flitter.root, 'docker-compose.yml')) ) {
        await ctx.flap.copy(path.resolve(_flitter.root, 'docker-compose.yml'), path.resolve(_flitter.root, 'docker-compose.yml.backup'))
        await ctx.flap.delete(path.resolve(_flitter.root, 'docker-compose.yml'))
    }
    
    await ctx.flap.write_file(path.resolve(_flitter.root, 'docker-compose.yml'), `version: "3"
services:
        db:
                image: mongo:latest
                container_name: db
                ports:
                      - 27017:27017
                volumes:
                      - dbdata1:/data
        web:
                image: node:11.14-stretch
                command: bash -c "cd /opt/flitterapp && yarn install && ./flitter up"
                depends_on:
                      - db
                ports:
                      - 8000:8000
                volumes:
                      - ./:/opt/flitterapp
volumes:
        dbdata1:
                driver: local
`)
}

exports.down = async (ctx) => {
    await ctx.flap.delete(path.resolve(_flitter.root, 'docker-compose.yml'))
    
    if ( await ctx.flap.exists(path.resolve(_flitter.root, 'docker-compose.yml.backup')) ){
        await ctx.flap.copy(path.resolve(_flitter.root, 'docker-compose.yml.backup'), path.resolve(_flitter.root, 'docker-compose.yml'))
        await ctx.flap.delete(path.resolve(_flitter.root, 'docker-compose.yml.backup'))
    }
}